﻿using System;

namespace Netmash.Infrastructure.DatabaseMigration.Models
{
    public class MigrationThumbprint
    {
        public MigrationSignature[] MigrationSignatures { get; set; }
    }

    public class MigrationSignature
    {
        public DateTime MigrationDate { get; set; }
        public string MachineName { get; set; }
        public MigratedVersion[] MigratedVersions { get; set; }
        public string LastVersion { get; set; }
    }

    public class MigratedVersion
    {
        public string Version { get; set; }
        public string[] Scripts { get; set; }
    }

    public class ScriptPack
    {
        public string Path { get; set; }
        public Version Version { get; set; }
    }
}
